Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.mozilla
Class PublicKeyAndChallenge

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.mozilla.PublicKeyAndChallenge

All Implemented Interfaces:
  DEREncodable

    public class PublicKeyAndChallenge

extends ASN1Encodable

This is designed to parse the PublicKeyAndChallenge created by the KEYGEN tag included by Mozilla based browsers.

      PublicKeyAndChallenge ::= SEQUENCE {
        spki SubjectPublicKeyInfo,
        challenge IA5STRING
      }

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`PublicKeyAndChallenge(ASN1Sequence seq)`

Method Summary
`DERIA5String` `getChallenge()`
`static PublicKeyAndChallenge` `getInstance(java.lang.Object obj)`
`SubjectPublicKeyInfo` `getSubjectPublicKeyInfo()`
`DERObject` `toASN1Object()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PublicKeyAndChallenge

    public PublicKeyAndChallenge(ASN1Sequence seq)

Method Detail

### getInstance

    public static PublicKeyAndChallenge getInstance(java.lang.Object obj)

### toASN1Object

    public DERObject toASN1Object()

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

### getSubjectPublicKeyInfo

    public SubjectPublicKeyInfo getSubjectPublicKeyInfo()

### getChallenge

    public DERIA5String getChallenge()

Bouncy Castle Cryptography Library 1.45